# Uses of Interface
jdk.jshell.SourceCodeAnalysis.ElementSuggestion

Packages that use SourceCodeAnalysis.ElementSuggestion
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of SourceCodeAnalysis.ElementSuggestion in jdk.jshell

Method parameters in jdk.jshell with type arguments of type SourceCodeAnalysis.ElementSuggestion
Modifier and Type
Method
Description
`List<S>`
SourceCodeAnalysis.ElementSuggestionConvertor.`convert(SourceCodeAnalysis.CompletionState state, List<? extends SourceCodeAnalysis.ElementSuggestion> suggestions)`
Convert a list of SourceCodeAnalysis.ElementSuggestion to a list of custom completion items.